package com.bc_chat.bc_base.contract

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：修改用户信息
 */
interface SetUserInfoContract {

    interface Presenter {
        /**
         * 设置用户通知类型
         */
        fun setUserNotice(cuid: String, type: String)

    }

    interface View : UserInfoContract.View {
        /**
         * 成功
         */
        fun userNoticeSuccess()

        /**
         * 失败
         */
        fun userNoticeFailure(e: Exception)

    }
}
